- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QColormap Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qcolormap.h.

`#include <qcolormap.h>`

List of all members.

## Public Types
enum | Mode { Direct, Indexed, Gray }
## Public Member Functions
| QColormap (const QColormap &colormap)
| ~QColormap ()
QColormap & | operator= (const QColormap &colormap)
Mode | mode () const
int | depth () const
int | size () const
uint | pixel (const QColor &color) const
const QColor | colorAt (uint pixel) const
const QVector< QColor > | colormap () const
## Static Public Member Functions
static void | initialize ()
static void | cleanup ()
static QColormap | instance (int screen=-1)

## Member Enumeration Documentation

enum Mode

Search for all occurrences

Enumerator:

  Direct | Search for all occurrences
  Indexed | Search for all occurrences
  Gray | Search for all occurrences

Definition at line 62 of file qcolormap.h.

    { Direct, Indexed, Gray };

## Constructor & Destructor Documentation

QColormap | ( | const QColormap & | colormap | ) |

~QColormap | ( |  | ) |

## Member Function Documentation

static void initialize | ( |  | ) | `[static]`

Search for all occurrences

static void cleanup | ( |  | ) | `[static]`

Search for all occurrences

static QColormap instance | ( | int | screen = `-1` | ) | `[static]`

Search for all occurrences

QColormap& operator= | ( | const QColormap & | colormap | ) |

Mode mode | ( |  | ) | const

Search for all occurrences

int depth | ( |  | ) | const

Search for all occurrences

int size | ( |  | ) | const

Search for all occurrences

uint pixel | ( | const QColor & | color | ) | const

Search for all occurrences

const QColor colorAt | ( | uint | pixel | ) | const

Search for all occurrences

const QVector<QColor> colormap | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qcolormap.h

QColormap QColormap QColormap QColormap QColormap QColormap QColormap QColormap QColormap QColormap
QColormap QColormap QColormap QColormap QColormap QColormap QColormap QColormap QColormap QColormap